summaryrefslogtreecommitdiffstats
path: root/make-links.sh
diff options
context:
space:
mode:
Diffstat (limited to 'make-links.sh')
-rwxr-xr-xmake-links.sh39
1 files changed, 39 insertions, 0 deletions
diff --git a/make-links.sh b/make-links.sh
new file mode 100755
index 0000000..af15f30
--- /dev/null
+++ b/make-links.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+# make-links.sh - script to populate the global .build-id dir with hardlinks.
+#
+# GPLv2+. BOILERPLATE SHOULD GO HERE.
+#
+# Copyright 2009 Red Hat, Inc.
+# Author: Will Woods <wwoods@redhat.com>
+
+source config.sh
+
+if [ $# -lt 1 ]; then
+ echo "Usage: $0 reponame [reponame...]"
+ echo "populates $exportdir/.build-id with hardlinks to .debug files."
+ exit 1
+fi
+
+if [ -z "$libdir" ]; then
+ echo "Couldn't find config.sh - exiting."
+ exit 1
+fi
+
+while [ $# -gt 0 ]; do
+ reponame="$1"
+ shift
+
+ if [ ! -d "$libdir/$reponame" ]; then
+ echo "$libdir/$reponame does not exist - please unpack debuginfo first"
+ continue
+ fi
+
+ find $libdir/$reponame -regex '.*/usr/lib/debug/\.build-id/.*\.debug' | \
+ while read u; do
+ target=$(readlink --canonicalize $u)
+ linkname=${u#*/usr/lib/debug/}
+ newlink="$exportdir/$linkname"
+ mkdir -p $(dirname $newlink)
+ ln -f $target $newlink
+ done
+done